Subject: Re: bug#22991: 25.0.92: C-u C-s does not display "Regexp I-search:" in the echo area

From: Kaushal Modi <[email-masked]>
Date: Fri, 11 Mar 2016 23:56:56 -0500

Sorry, I just remembered that I was one of the people (or the only one?)
who suggested not displaying "Char-fold" prefix.

But considering the example that Michael gave, it makes sense to remove
that condition from the cond form. I would actually like to see "Regexp
I-search:" even if I have set that by default.

The result will be a less complex cond statement (will get rid of that
"oring of ands" case in my last patch) and clarity as to what's the current
isearch mode.

What do you guys think? Or should we bring this up on emacs-devel?

--
Kaushal Modi